Skip to main content
GET
/
sites
/
environments
/
{env_id}
/
analytics
/
bandwidth
Get Server Bandwidth
curl --request GET \
  --url https://api.kinsta.com/v2/sites/environments/{env_id}/analytics/bandwidth \
  --header 'Authorization: Bearer <token>'
{
  "analytics": {
    "analytics_response": {
      "key": "bandwidth",
      "data": [
        {
          "name": "bandwidth",
          "total": 1000,
          "dataset": [
            {
              "key": "2025-10-28T00:00:00.000Z",
              "value": "1000"
            }
          ]
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_id
string
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

Query Parameters

time_span
enum<string>
default:7_days
Available options:
24_hours,
7_days,
30_days,
60_days
Example:

"30_days"

company_id
string
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

from
string | null
Example:

"2025-10-20T00:00:00.000Z"

to
string | null
Example:

"2025-10-30T00:00:00.000Z"

Response

Getting server bandwidth analytics

analytics
object
required